libdevice User's Guide (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 3.50. __nv_double2int_rd

Prototype:

    i32 @__nv_double2int_rd(double %d)

Description:

Convert the double-precision floating point value `x` to a signed integer value in round-down (to negative infinity) mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes